Skip to navigation

Update knowledge base document

Update the name, content and/or auto-sync settings of a document.

Path parameters

documentation_idstringRequired
The id of a document from the knowledge base. This is returned on document addition.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringOptional>=1 character

A custom, human-readable name for the document.

contentstringOptional

Updated content for the document. Only supported for text documents, URL documents with auto-sync disabled, and file documents that are not synced from an external source.

enable_auto_syncbooleanOptional

Whether the document or folder is refreshed automatically. Only applicable to URL documents, folders, and externally-synced files. Leave unset to keep the current value.

auto_removebooleanOptional

Whether to automatically remove the document once its source is no longer available. Only applicable when auto-sync is enabled. Leave unset to keep the current value.

minimum_frequency_daysintegerOptional1-180

Minimum frequency (in days) at which the document is refreshed. The actual interval may be shorter, never longer. Only applicable when auto-sync is enabled. Leave unset to keep the current value.

tighten_onlybooleanOptionalDefaults to false

Folders only. When true, items already in the folder are only tightened to stay at least as strict as the folder, and keep any setting that is stricter than the folder’s. When false, they are set to exactly the folder’s auto-sync settings. Ignored for externally synced folders, whose contents always follow the folder’s schedule.

Response

Successful Response
urlobject
OR
fileobject
OR
textobject
OR
folderobject

Errors

422
Documents Update Request Unprocessable Entity Error